Subject: bug#9768: Makefile broken after removing included *.am file

From: "Ralf Wildenhues" <[email-masked]>
Date: Sun, 16 Oct 2011 20:31:56 +0200

Hello,

* Stefano Lattarini wrote on Sun, Oct 16, 2011 at 08:27:12PM CEST:
> On Sunday 15 November 2009, Peter Johansson wrote:
> > make: *** No rule to make target `aminclude.am', needed by 
> > `Makefile.in'.  Stop.
> > 
> > This is very similar to the "deleted header file problem" for *.m4 files 
> > that was fixed in version 1.11 by adding a stub rule. I suppose this 
> > problem could be solved in the same fashion.
> >
> Thanks for the report and the suggestion; I've been bitten few times by
> this bug myself, so I agree it's time to fix it.  See the attached
> minimalistic patch, which I'll push to maint in a few days (as usual,
> reviews welcome).  There is also a follow-up patch (attached as well)
> that ensures the stub rules do not end up covering real errors.

What happens if I write
  include fragment-with-typo-in-name.am

but I want that fragment included?

IIUC then automake will still error out when it gets rerun, but
because of the way dependencies are handled now, it won't get rerun
automatically, right?

Thanks,
Ralf